package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.PD;
import com.lantone.qc.pub.model.label.ChiefLabel;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0001
 * @Description : 症状缺少时间描述(只要有时间就可以)
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0001 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() == null) {
            status.set("0");
            return;
        }
        ChiefLabel chiefLabel = inputInfo.getBeHospitalizedDoc().getChiefLabel();
        if (chiefLabel == null) {
            status.set("0");
            return;
        }
        String chiefText = chiefLabel.getText();
        if (StringUtil.isBlank(chiefText)) {
            status.set("0");
            return;
        }
        if (StringUtil.isNotBlank(chiefText) && (chiefText.contains("检查") || chiefText.contains("术后") || chiefText.contains("药物"))) {
            status.set("0");
            return;
        } else {
            List<PD> pds = chiefLabel.getPds();
            if (pds != null && pds.size() > 0) {
                for (PD pd : pds) {
                    String pdName = pd.getName();
                    if (StringUtil.isNotBlank(pdName)) {
                        if (pdName.contains("天") || pdName.contains("周") || pdName.contains("月")
                                || pdName.contains("时") || pdName.contains("秒") || pdName.contains("半年")
                                || pdName.contains("日") || pdName.contains("今") || pdName.contains("余年")
                                || pdName.contains("年") || pdName.contains("分") || isDate(pdName)) {
                            status.set("0");
                            break;
                        }
                    }
                }
            }
            /*List<Clinical> clinicals = inputInfo.getBeHospitalizedDoc().getChiefLabel().getClinicals();
            if (clinicals.size() > 0) {
                for (Clinical clinical : clinicals) {
                    String clinicalName = clinical.getName();
                    List<PD> timestamp = clinical.getTimestamp();
                    if (ListUtil.isEmpty(timestamp)) {
                        if (StringUtils.isEmpty(info.get())) {
                            info.set(clinicalName);
                        } else {
                            info.set(info.get() + "," + clinicalName);
                        }
                    }
                }
            }*/
        }
        /*if (StringUtils.isNotEmpty(info.get())) {
            status.set("-1");
        }*/
    }

    private boolean isDate(String pdName) {
        String regex = "[0-9]{4}.?[0-9]{2}.?[0-9]{2}";
        return pdName.matches(regex);
    }
}